%define name python3-alabaster 
%define srcname alabaster 
%define version 0.7.12
%define release 1


%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif


Summary: Configurable sidebar-enabled Sphinx theme
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD 
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{srcname}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Luke Maurits <luke@maurits.id.au>
Url: https://pypi.python.org/pypi/%{srcname}

BuildRequires: python3 >= 3.7.4, python3-devel >= 3.7.4
Requires: python3 >= 3.7.4

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.

#%package -n     python%{python3_pkgversion}-%{srcname}

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled eggs
rm -rf %{srcname}.egg-info

%build
python3 setup.py build



%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python_sitelib}/%{srcname}-%{version}-py3.7.egg-info/
%{python_sitelib}/%{srcname}/


%changelog
* Fri Nov 22 2019 Ashwini Chandrappa <ashwic22@in.ibm.com> -0.7.12
-Initial Build

